(* rpmdepsize - visualize the size of RPM dependencies
 * rpmdepsize_about.ml.  Generated from rpmdepsize_about.ml.in by configure.
 * (C) Copyright 2009 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Written by Richard W.M. Jones <rjones@redhat.com>
 *)

let callback _ =
  let name = "rpmdepsize" in
  let version = "0.7" in
  let authors = ["Richard W.M. Jones <rjones@redhat.com>"] in
  let website = "http://et.redhat.com/~rjones/rpmdepsize/" in
  let website_label = "rpmdepsize website" in
  let utf8_copyright = "\194\169" in
  let copyright = utf8_copyright ^ " 2009 Red Hat Inc." in
  let license = "\
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA." in
  let dlg =
    GWindow.about_dialog
      ~name
      ~version
      ~authors
      ~website
      ~website_label
      ~copyright
      ~license
      () in
  ignore (dlg#run ());
  dlg#destroy ()
